com.genesyslab.wfm7.API.service.forecast761

## Class SFrcSplitResult

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast761.SFrcSplitResult

- All Implemented Interfaces:
    java.io.Serializable

      public class SFrcSplitResult
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `bu_id` Business Unit ID
    `private double` | `sourceInteractionVolume` IV before split
    `private double` | `targetInteractionVolume` Not split IV
    `private int` | `virtual_activity_id` Multi-site Activity ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SFrcSplitResult()`
    `SFrcSplitResult(int bu_id, int virtual_activity_id, double sourceInteractionVolume, double targetInteractionVolume)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getBu_id()` Gets the bu_id value for this SFrcSplitResult.
    `double` | `getSourceInteractionVolume()` Gets the sourceInteractionVolume value for this SFrcSplitResult.
    `double` | `getTargetInteractionVolume()` Gets the targetInteractionVolume value for this SFrcSplitResult.
    `int` | `getVirtual_activity_id()` Gets the virtual_activity_id value for this SFrcSplitResult.
    `int` | `hashCode()`
    `void` | `setBu_id(int bu_id)` Sets the bu_id value for this SFrcSplitResult.
    `void` | `setSourceInteractionVolume(double sourceInteractionVolume)` Sets the sourceInteractionVolume value for this SFrcSplitResult.
    `void` | `setTargetInteractionVolume(double targetInteractionVolume)` Sets the targetInteractionVolume value for this SFrcSplitResult.
    `void` | `setVirtual_activity_id(int virtual_activity_id)` Sets the virtual_activity_id value for this SFrcSplitResult.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bu_id

          private int bu_id

      Business Unit ID

    - #### virtual_activity_id

          private int virtual_activity_id

      Multi-site Activity ID

    - #### sourceInteractionVolume

          private double sourceInteractionVolume

      IV before split

    - #### targetInteractionVolume

          private double targetInteractionVolume

      Not split IV

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SFrcSplitResult

          public SFrcSplitResult()

    - #### SFrcSplitResult

          public SFrcSplitResult(int bu_id,
                         int virtual_activity_id,
                         double sourceInteractionVolume,
                         double targetInteractionVolume)

  - ### Method Detail

    - #### getBu_id

          public int getBu_id()

      Gets the bu_id value for this SFrcSplitResult.
      Returns:
        bu_id

    - #### setBu_id

          public void setBu_id(int bu_id)

      Sets the bu_id value for this SFrcSplitResult.
      Parameters:
        `bu_id` -

    - #### getVirtual_activity_id

          public int getVirtual_activity_id()

      Gets the virtual_activity_id value for this SFrcSplitResult.
      Returns:
        virtual_activity_id

    - #### setVirtual_activity_id

          public void setVirtual_activity_id(int virtual_activity_id)

      Sets the virtual_activity_id value for this SFrcSplitResult.
      Parameters:
        `virtual_activity_id` -

    - #### getSourceInteractionVolume

          public double getSourceInteractionVolume()

      Gets the sourceInteractionVolume value for this SFrcSplitResult.
      Returns:
        sourceInteractionVolume

    - #### setSourceInteractionVolume

          public void setSourceInteractionVolume(double sourceInteractionVolume)

      Sets the sourceInteractionVolume value for this SFrcSplitResult.
      Parameters:
        `sourceInteractionVolume` -

    - #### getTargetInteractionVolume

          public double getTargetInteractionVolume()

      Gets the targetInteractionVolume value for this SFrcSplitResult.
      Returns:
        targetInteractionVolume

    - #### setTargetInteractionVolume

          public void setTargetInteractionVolume(double targetInteractionVolume)

      Sets the targetInteractionVolume value for this SFrcSplitResult.
      Parameters:
        `targetInteractionVolume` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.